:root {
  --font: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
  --dark-font-color: #003049;
  --light-font-color: #eae2b7;
  --login-overlay: #d62828;
  --signup-overlay: #f77f00;
  --background-color: #f6f5f7;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  /* Set 1rem = 10px */
  font-size: 62.5%;
  font-family: var(--font);
  background: var(--background-color);
  color: var(--font-color);
  line-height: 1.5;
  height: 100vh;
  padding: 0 2rem;
  margin: 0 1rem;
}

ul {
  list-style: none;
}

a {
  color: var(--font-color);
  text-decoration: none;
  font-size: 0.8rem;
}

h1,
h2,
p {
  text-align: center;
  line-height: 1;
}

h1 {
  font-size: 1.5rem;
  letter-spacing: 0.05rem;
  padding-bottom: 2rem;
}

h2 {
  font-size: 1.8rem;
  letter-spacing: 0.05rem;
}

p {
  font-size: 0.8rem;
  font-weight: 600;
  letter-spacing: 0.01rem;
}

button {
  font: var(--font);
  font-size: 1rem;
  font-weight: bold;
  text-transform: uppercase;
  letter-spacing: 0.1rem;
  color: #fff;
  background: var(--login-overlay);
  border: 1px solid #d62828;
  border-radius: 2rem;
  padding: 0.5rem 1rem;
  margin-top: 1.2rem;
  transition: transform 80ms ease-in;
}

button:hover {
  cursor: pointer;
  opacity: 0.9;
}

button:active {
  transform: scale(0.95);
}

button:focus {
  outline: none;
}

/*
=========
 Main
=========
*/

main {
  min-height: calc(100vh - 9rem);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  flex-grow: 1;
  padding: 1rem 0;
}

main .container {
  position: relative;
  height: 40rem;
  max-height: 100%;
  min-width: 20rem;

  background: #fff;
  box-shadow: 0 14px 28px rgba(0, 0, 0, 0.25), 0 10px 10px rgba(0, 0, 0, 0.25);
  border-radius: 1.5rem;
  overflow: hidden;
}

main .form-container {
  position: absolute;
  left: 0;
  /* push login & signup containers to top */
  height: 100%;
  transition: all 0.6s ease-in-out;
  /* smooth transform translate X transitions */
}

main .login-container {
  top: 0;
  height: 50%;
  z-index: 2;
}

main .signup-container {
  top: 0;
  height: 50%;
  opacity: 0;
  z-index: 1;
}

main .form-container form,
main .form-container form .input-container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
  height: 100%;
}

main .form-container form {
  padding: 0 2rem;
}

main .form-container form .social-container {
  margin: 1rem 0;
}

main .form-container form .social-container a {
  border: 1px solid #ddd;
  border-radius: 50%;
  height: 1rem;
  width: 1rem;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  padding: 1rem;
  margin: 0 0.5rem;
}

main .form-container form p {
  margin-bottom: 0.5rem;
}

main .form-container form input {
  font-family: var(--font);
  background: #eee;
  border: none;
  padding: 0.5rem 1rem;
  margin: 0.3rem 0;
  width: 100%;
}

main .overlay-container button.transparent {
  background: transparent;
  border-color: #fff;
}

.overlay-left h2,
.overlay-right h2 {
  padding-bottom: 1.5rem;
}

/*  Display visible area (hide panel which is overflow/ out of boundary) */
main .overlay-container {
  position: absolute;
  left: 0;
  top: 50%;
  width: 100%;
  height: 50%;
  overflow: hidden;
  transition: transform 0.6s ease-in-out;
  z-index: 100;
}

/* Hide and show panels */
main .overlay-container .overlay {
  position: relative;
  width: 100%;
  height: 200%;
  /* take full height of overlay-container: 200% * 50% = 100% */
  top: -100%;

  background: var(--login-overlay);
  background: linear-gradient(to bottom, #f77f00, #d62828);
  /* background: linear-gradient(to right, #d62828, #f77f00); */
  background-position: 0 0;
  background-size: cover;
  background-repeat: no-repeat;
  color: #fff;
  transform: translateY(0);
  transition: transform 0.6s ease-in-out;
}

/* Holds actual content */
main .overlay-container .overlay .overlay-panel {
  position: absolute;
  left: 0;
  height: 50%;
  width: 100%;

  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
  transform: translateY(0);
  transition: transform 0.6s ease-in-out;
}

/* Login overlay */
.overlay-left {
  transform: translateY(20%);
}

/* Sign up overlay */
/* hides content from view */
.overlay-right {
  transform: translateY(0);
  bottom: 0;
}

/*
===================
SLIDING ANIMATION
===================
*/
/* When signUpButton clicked, .login-container moves up & out of view */
.container.right-panel-active .login-container {
  transform: translateY(-100%);
}

/* Show sign up form on the bottom (on top of login form)*/
.container.right-panel-active .signup-container {
  transform: translateY(100%);
  opacity: 1;
  z-index: 5;
  animation: show 0.6s;
}

@keyframes show {
  0%,
  49.99% {
    opacity: 0;
    z-index: 1;
  }

  50%,
  100% {
    opacity: 1;
    z-index: 5;
  }
}

/* Moves .overlay-container to the top */
.container.right-panel-active .overlay-container {
  transform: translateY(-100%);
}

/* Slide login overlay to top */
.container.right-panel-active .overlay {
  transform: translateY(50%);
}

/* Login overlay text slide in from top */
.container.right-panel-active .overlay-left {
  transform: translateY(-20%);
}

/* Sign up overlay text slide in from bottom */
.container.right-panel-active .overlay-right {
  transform: translateY(20%);
}

/*
=========
 Nav bar
=========
*/

nav {
  font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
  background: var(--background-color);
  height: 3rem;
  align-items: center;
  padding: 1rem;
}

nav li {
  color: var(--font-color);
  font-size: 1rem;
  font-weight: 700;
  margin-right: 1rem;
}

nav li a:hover {
  opacity: 0.8;
}

header nav ul {
  display: flex;
  justify-content: flex-end;
}

footer nav {
  display: flex;
  flex-direction: column;
}

footer nav .about,
footer nav .social {
  display: flex;
  padding-bottom: 0.8rem;
}

/*
=========
 Media
=========
*/

@media screen and (min-width: 1100px) {
  main {
    padding: 2.5rem 0;
  }

  main .container {
    width: 60rem;
    max-width: 100%;
    height: 35rem;
  }

  h1 {
    font-size: 3rem;
    padding-bottom: 5rem;
  }

  h2 {
    font-size: 2.5rem;
  }

  a {
    font-size: 1rem;
  }

  button {
    margin-top: 1.5rem;
  }

  main .login-container,
  main .signup-container {
    height: 100%;
    width: 50%;
    left: 0;
    top: none;
  }

  main .form-container {
    top: 0;
    left: none;
  }

  main .form-container form .social-container {
    margin: 1.5rem 0;
  }

  main .form-container form .social-container a {
    height: 3rem;
    width: 3rem;
  }

  main .form-container form p {
    margin-bottom: 1rem;
  }

  main .form-container form input {
    width: 80%;
    margin: 0.5rem 0;
  }

  /* Display visible area by hiding panel which is overflow/ out of boundary */
  main .overlay-container {
    position: absolute;
    top: 0;
    left: 50%;
    width: 50%;
    height: 100%;
    overflow: hidden;
    transition: transform 0.6s ease-in-out;
    z-index: 100;
  }

  /* Hide and show panels */
  main .overlay-container .overlay {
    position: relative;
    height: 100%;
    width: 200%;
    /* take full width of overlay-container: 200% * 50% = 100% */

    background: var(--login-overlay);
    background: linear-gradient(to right, #f77f00, #d62828);
    background-position: 0 0;
    background-size: cover;
    background-repeat: no-repeat;
    color: #fff;
    transform: translateX(0);
    transition: transform 0.6s ease-in-out;
  }

  /* Holds actual content */
  main .overlay-container .overlay .overlay-panel {
    position: absolute;
    top: 0;
    height: 100%;
    width: 50%;

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    transform: translateX(0);
    transition: transform 0.6s ease-in-out;
  }

  /* Sign up overlay */
  /* hides content from view */
  .overlay-right {
    transform: translateX(0);
  }

  /* Login overlay */
  .overlay-left {
    transform: translateX(-20%);
    right: 0;
  }

  /*
===================
 SLIDING ANIMATION
===================
*/
  /* When signUpButton clicked, .login-container moves to the right */
  .container.right-panel-active .login-container {
    transform: translateX(100%);
    opacity: 0;
  }

  /* Show sign up form on the right (on top of login form)*/
  .container.right-panel-active .signup-container {
    transform: translateX(100%);
    opacity: 1;
    z-index: 5;
    animation: show 0.6s;
  }

  /* Moves .overlay-container to the left */
  .container.right-panel-active .overlay-container {
    transform: translateX(-100%);
  }

  /* Move .overlay-left slide to left */
  .container.right-panel-active .overlay {
    transform: translateX(-50%);
  }

  /* Make text slide in from left */
  .container.right-panel-active .overlay-left {
    transform: translateX(0);
  }

  /* Move text slide in from right */
  .container.right-panel-active .overlay-right {
    transform: translateX(20%);
  }
}
